# DataExchange
TKVRML
VrmlData

# VrmlData_Sphere Class Reference

`#include <VrmlData_Sphere.hxx>`

Inheritance diagram for VrmlData_Sphere:

[legend]

## Public Member Functions

| VrmlData_Sphere ()
| VrmlData_Sphere (const VrmlData_Scene &theScene, const char *theName, const Standard_Real theRadius=1.)
Standard_Real | Radius () const
void | SetRadius (const Standard_Real theRadius)
virtual Standard_EXPORT const | Handle (TopoDS_TShape)&TShape()
virtual Standard_EXPORT | Handle (VrmlData_Node) Clone(const Handle(VrmlData_Node)&theOther) const
virtual Standard_EXPORT VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)
virtual Standard_EXPORT VrmlData_ErrorStatus | Write (const char *thePrefix) const

## Private Attributes

Standard_Real | myRadius

## Detailed Description

Implementation of the Sphere node.

## Constructor & Destructor Documentation

VrmlData_Sphere::VrmlData_Sphere | ( |  | ) | `[inline]`

| Empty constructor

VrmlData_Sphere::VrmlData_Sphere | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName,
|  | const Standard_Real | theRadius = `1.`
| ) | `[inline]`

| Constructor

## Member Function Documentation

virtual Standard_EXPORT VrmlData_Sphere::Handle | ( | VrmlData_Node |  | ) | const`[virtual]`

| Create a copy of this node. If the parameter is null, a new copied node is created. Otherwise new node is not created, but rather the given one is modified. Reimplemented from VrmlData_Node.

virtual Standard_EXPORT const VrmlData_Sphere::Handle | ( | TopoDS_TShape |  | ) | `[virtual]`

| Query the primitive topology. This method returns a Null shape if there is an internal error during the primitive creation (zero radius, etc.) Implements VrmlData_Geometry.

Standard_Real VrmlData_Sphere::Radius | ( |  | ) | const`[inline]`

| Query the sphere radius

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Sphere::Read | ( | VrmlData_InBuffer & | theBuffer | ) | `[virtual]`

| Fill the Node internal data from the given input stream. Implements VrmlData_Node.

void VrmlData_Sphere::SetRadius | ( | const Standard_Real | theRadius | ) | `[inline]`

| Set the spere radius

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_Sphere::Write | ( | const char * | thePrefix | ) | const`[virtual]`

| Write the Node to output stream. Reimplemented from VrmlData_Node.

## Field Documentation

Standard_Real VrmlData_Sphere::myRadius `[private]`

The documentation for this class was generated from the following file:

- VrmlData_Sphere.hxx